org.apache.tomcat.jdbc.pool

## Class PoolUtilities

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.PoolUtilities

    public class PoolUtilities
    extends Object

Author:
  fhanik

### Field Summary

Fields
`static String` `PROP_PASSWORD`
`static String` `PROP_USER`

### Constructor Summary

Constructors
Constructor and Description
`PoolUtilities()`

### Method Summary

Methods
`static Properties` `clone(Properties p)`
`static Properties` `cloneWithoutPassword(Properties p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_USER

    public static final String PROP_USER

See Also:
  Constant Field Values

#### PROP_PASSWORD

    public static final String PROP_PASSWORD

See Also:
  Constant Field Values

### Constructor Detail

#### PoolUtilities

    public PoolUtilities()

### Method Detail

#### clone

    public static Properties clone(Properties p)

#### cloneWithoutPassword

    public static Properties cloneWithoutPassword(Properties p)